Version 1.0.79 :
- Neutral droping Bombs and Mega Bombs should now work the same way as other holdables entities
- Improved Slopes collision check performances

Version 1.0.78 :
- Added "No Reset On Death Flag" attribute to Drone Switches
- The Lightning Dash ability now stop automatically if the player get stuck in place while using it
- Fixed a possible desynchronisation with TASes when using a Custom Badeline Boss
- Fixed an issue preventing the Lightning Dash ability to work when the Dash Coroutine was hooked by other mods
- Fixed a bug displaying wrong lorebook entries unlocks in The Secret Of Celeste Mountain
- Fixed a bug preventing the In-Game map marker selector bounds to match the visual map borders
- Fixed a bug sometimes preventing the player to use the Bombs and Mega Bombs abilities
- Fixed a crash that could happen if the player died at the same time its dash was refilled

Version 1.0.77 :
- Added Poem Trigger
- Added "Only Once" attribute to Upgrade Trigger
- Added "Render BG" attribute to Flag Swap Block
- Added "Reset Duration" attribute to Heat Controller
- Added "Prevent Refill On Sliding" attribute to Slopes
- Added "Reset On Death" attribute to Drone Switches
- Removed "Persistent" attribute from Drone Switches. Replaced by the new "Only Once" attribute
- Added an option to hide Stamina and/or Oxygen indicators
- Upgrade Triggers can now enable or disable all upgrades at once with the new "All" choice in the upgrade list
- Pressing the Use Bag Ability button now only attempt to spawn and grab Bombs, Mega Bombs and the Remote Drone
- Pressing the Use Bag Ability button should no longer prevent neutral drops of any Holdable entities if it is bound the same button as the Down button
- Increased the delay between two Bombs from 0.35s to 0.45s to prevent spawning issues
- Improved hook methods for custom entities interacting with springs
- The "BEGIN" text on campaigns using a Merge Chapters Controller can now be customised the same way as normal campaigns
- Grabbing a Golden Strawberry in campaigns using a Merge Chapters Controller should no longer despawn other types of deathless strawberries (ie: Sliver strawberries)
- Custom Collectables and Upgrade Collectables flash effects (when collected) should now scale to the current viewport size
- Fixed a bug preventing Golden Strawberries to carry from chapter to chapter when using a Merge Chapter Controller with its mode set to "Classic"
- Fixed a bug preventing the player to neutral drop Bombs
- Fixed a bug that caused campaigns using a Merge Chapters Controller with its mode set to "Classic" to unlock wrong starting checkpoints if the campaign did not have an interlude
- Fixed a bug that caused the player to get stuck in Drone form if selecting the Restart Campaign option in campaigns using a Merge Chapters Controller while controling the drone
- Fixed a bug that prevented the Screw Attack ability to work correctly with SkinMod Helper Plus super/hyper animations
- Fixed a bug preventing the "Upgrades Are Temporary" attribute from rhe Upgrade Controller to work correctly
- Fixed a crash that could happen if the player and the Remote Drone died at the same time
- Fixed a crash happening when the Remote Drone was destroyed or died inside of a Camera Advance Target Trigger

Version 1.0.76 :
- Added "Laser Color" attribute to Laser Emitters
- Added "Silent" attribute to Flag Temple Gates
- Added a new type for Laser Emiters : No Start Dash (Kill the player if they attempt to dash while inside the laser)
- Added "Display" attribute to In Game Map Room Adjust Controllers
- The level will no longer be reloaded when other mods change or add a Death Action
- Using the Lightning Dash ability no longer affect the vertical camera offset
- Using the Space Jump ability now display a visual effect
- Fixed a bug alowing the player to interact with Challenge Motes in boss rooms in SoCM before the boss was defeated in normal mode
- Fixed a bug that made Bomb Switches unresponsive if a Bomb was sloted inside but started to disapear before it exploded
- Fixed a bug that could prevent Liquids to use the correct color
- Fixed a crash that could happen when throwing a bomb at the same time the player die

Version 1.0.75 :
- Improved rendering of Liquids in Loenn
- Added small light sources around Custom Crumble Blocks
- Updated the Genesis boss AI in The Secret of Celeste Mountain
- Fixed a bug causing the Explosion routine of bombs and mega bombs to start each time the bomb was thrown, potentially causing a crash
- Fixed a bug that prevented the Genesis boss in The Secret of Celeste Mountain to kill the player when inside its hitbox without dashing
- Fixed a bug preventing Custom Torches sprite to correctly start their lit animation when starting unlit
- Fixed a bug preventing some talker components to be enabled correctly when the player destroy the Remote Drone

Version 1.0.74 :
- Fixed a bug that could prevent a refill inside a Bouncy Bubble to be used when the player dash out of a Red Booster while inside the Bouncy Bubble

Version 1.0.73 :
- Fixed a bug that could sometimes cause one boss in SoCM to kill the player instead of being hit

Version 1.0.72 :
- Fixed Gamebanana shenanigans with Simplified Chinese characters
- Removed a debug log

Version 1.0.71 :
- Interacting with Elevators and Warp Stations now immediately set the horizontal player speed to 0 to avoid cases where the player can fall off those entities and potentialy crash the game
- Entities attached to Break Blocks will not no longer appear after the block is broken if its Respawn attribute is set to Never
- Dashing near the borders of a Push Block from bellow will no longer auto-correct the player horizontally
- The player position icon on the In-Game map now render on top of markers
- Arrows and Climbable Vines are now working correctly with the invert grab mode
- The Lightning Dash ability now work correctly with the invert grab mode
- Bag and Misc abilities displays now show a red cross on top of an ability if it cannot be used
- Pressing the Bag or Misc ability buttons will use the corresponding ability if the player meet the required conditions up to the next 0.5 seconds after the button press, even if these conditions were not meet when the button was pressed
- Normalised the Bombs and Mega Bombs leniency to use the 0.5 seconds leniency instead of an infinite time
- Throwing a bomb no longer push the player backward
- Added Simplified Chinese translation by AAA1459
- Fixed a bug preventing the player icon to be displayed on the In-Game map in interlude chapters
- Fixed a bug allowing some icons to be displayed before their corresponding abiltiy is unlocked on the In-Game map progress display
- Fixed a bug preventing the heat sound effect to stop if the inactive flag of the Heat Controller inside the room was true
- Fixed a bug that caused the oxygem timer to deplete when the In-Game map, Achievements, Abilities and Lore book screens were open, or if the player was in dummy state
- Fixed a bug that could cause a bomb to spawn, but not be picked up when trying to jump and spawn a bomb at the same time
- Fixed a bug that could prevent the drone to be thrown correctly when trying to jump and spawn it at the same time
- Fixed a bug allowing to use both the Bag and Misc abilities selected at the same time
- Fixed a bug allowing the player to bypass the internal delay before being able to throw a bomb or mega bomb
- Fixed a bug that could prevent the player to correctly grab the Golden Feather ability when using it
- Fixed a bug that could prevent a refill inside a Bouncy Bubble to be used when breaking the bubble
- Fixed a crash when a Drone Missile or Beam got destroyed on top of a Conveyor
- Fixed a crash when releasing the Use Bag ability button at the same frame a bomb or mega bomb hold by the player would explode

Version 1.0.70 :
- Fixed a bug preventing bombs and mega bombs to use their whole explosion hitbox to activate touch switches

Version 1.0.69 :
- Fixed a crash when opening the In-Game map if it tried to display a room that no longer exist

Version 1.0.68 :
- Improved performances of the In-Game map Progress Display
- Improved performances of the In-Game map
- The title screen in The Secret Of Celeste Mountain should no longer be triggered when entering the prologue after a crash, potentially causing a softlock
- Fixed a performance issue occuring after the Theo Cutscene in The Secret Of Celeste Mountain
- Fixed a bug preventing the In-Game map to work properly in campaigns not using a Merge Chapter Controller
- Fixed a bug displaying an unintended line of text when collecting the Varia Jacket ability
- Fixed a bug allowing the player to grab a Bomb or Mega Bomb during its explosion animation
- Fixed a bug preventing the player hairs to be facing the correct direction when sliding on a slope and holding the direction opposite to the slope
- Fixed a bug preventing 3 achievements in The Secret of Celeste Mountain to be awarded correctly

Version 1.0.67 :
- Changed the default display for the In-Game map progress display from 'off' to 'area map'
- Fixed a bug preventing 3 achievements in The Secret of Celeste Mountain to be awarded correctly
- Fixed a crash when starting a map using a StatsFlag Controller

Version 1.0.66 :
- Added a light source to Leafs
- A manager entity used by other custom entities is no longer automatically added to the scene in vanilla chapters
- Customs actions that should occur when the player die now occur in addition to other mods actions instead of replacing them
- Liquids now use the hurtbox of the player (as they were doing prior to version 1.0.64) to determine if they should kill the player
- Liquids will now consider the player to be inside them (and affect their physics) if the player hurtbox collide with them rather than the whole player hitbox
- Improved performances of the auto-save feature triggering on room transition in campaign using a Merge Chapter Controller whith its mode set to Rooms
- Settings in The Secret of Celeste Mountain are now immediately saved when leaving the Settings menu
- Fixed a bug that could cause the bomb detonation timer to start immediately when a bomb was summoned by the player
- Fixed a bug that could cause a bomb to spawn, but not being picked up when trying to grab a wall and spawn a bomb at the same time
- Fixed a bug saving the current Light Mode instead of the Respawn light mode when returning to the title screen in The Secret of Celeste Mountain
- Fixed a bug that could allow the player to collect strawberries upon dying while controling the remote drone, or when destroying it manually
- Fixed a bug that could cause the player to be teleported trough Push Blocks

Version 1.0.65 :
- Fixed a bug preventing the player seeker sequence to complete correctly in vanilla 5A
- Fixed a crash happening after watching Credits in The Secret of Celeste Mountain before starting the game at least once

Version 1.0.64 :
- Added "Force Inactive Flag" attribute to Drone Gates and Flag Dash Switches
- Added "Cell Offset X" and "Cell Offset Y" attributes to Cell Locks
- Added "Varia Prevent Dying", "Group", "Can Drown", "Air Timer", "Inside Transparency" and "Appear Flags" attributes to Liquids
- Added "Animation Speed", Particles Color", "Light Color", "Wiggle", "Loop Sound", "Loop Burst", "Static Time", "Poem", "Poem Name", "Poem Color", "Poem Particles Color", "Poem Sprite", "Poem Sprite Animation Speed" and "Poem Sprite Animation Pause" attributes to Custom Collectable
- Added "Hide On World Map" attribute to In-game Map Hint Controllers
- Added "Force Slide" attribute to Slopes
- Moved the "Show Hints" and "Progress Display" options from the bottom of the In-Game map screen to a new menu accessible with a single button while the In-Game map is open
- Added a Marker feature to the In-game map, allowing players to place markers on the map, at the location of their choice
- The progress display setting of the In-Game map is now shared between the area map and the world map, instead of having differents display settings for each one
- Break Blocks Indicators now also apear if the player touch them in the Dash Attacking state. This make it more lenient to reveal the indicator in cases where the player dash end just before the block
- Golden strawberries in campaigns using a Merge Chapter Controller now reset the current timer to 0 when grabbed, and restore it back (+ the time spent with the berry) on death or berry collection
- Golden strawberries in campaigns using a Merge Chapter Controller now reset entities that should not reload anymore when grabbed, and resture them back (+ any new entity that got added with the berry) on death or berry collection
- Achievements popups in Secret of Celeste Mountain can no longer appear while the player is in dummy state or for the first 0.1s after entering a room, to prevent them appearing while the player is teleported
- Arrows on the warp menu disapear correctly when there is more than 10 warps in the menu and the player select the "Stay Here" option
- If the player die after using the Remote drone but before the drone can be controlled, the player will now respawn at their current spawn point to prevent an infinite respawn softlock
- The Remote Drone can no longer be deployed by pressing down while holding it. Madeline will now attempt to throw it instead
- The Remote Drone is now correctly affected by liquids physics while in a liquid set to lava
- The Varia Jacket ability no longer allows the player to enter lava, unless the new "Varia Prevent Dying" attribute is set
- Bombs now disapear shortly after entering water, without exploding
- Bag and Misc upgrades now only tell the player to select the upgrade to use it if the player already have another upgrade using the same slot
- Campaigns using a Merge Chapters Controller now always display the total amount of strawberries in a chapter on the journal once the player entered the chapter at least once
- Rooms will no longer appear as heated on the In-Game map if the inactive flag of their Heat Controller is true
- Fixed the text appearing when collecting the Binoculars, Portable Station and Pulse Radar abilities telling the player to hold a button instead of pressing it
- Campaign using a Merge Chapter Controller with Mode set to Rooms now save the game each time the player enter a room
- The "Show Heat Level" setting is no longer used and has been removed
- Added a setting to show the stamina meter near the player instead or in addition to the one at the top of the screen when using abilities
- Added a setting to show a breath meter near the player instead or in addition to the one at the top of the screen when the player is inside liquids with an Air timer
- Stop Adjust In-Game Map Triggers now cause the minimap to immediately show updated entrances
- Tiles are no longer added on the In-Game map during a teleportation to another chapter using Teleport To Chapter Triggers
- Teleport To Other Side Portals no longer appear if the player enter the room they are in while carrying a Golden Strawberry
- Bombs and Mega Bombs can no longer be hold by the player using the grab button when they are spawned, but still can after the bomb has been thrown at least once. The button to spawn a bomb still allows to hold them in both cases
- Fixed a bug that prevented the "Golden Start With X" attributes to work correctly, removing abilities on room transition when holding a golden strawberry
- Fixed a bug that prevented Flag On Interact Triggers to work if their "Req Flags" attribute was left empty
- Fixed a bug that killed both Madeline and the Remote Drone at the same time if the player died while holding the drone
- Fixed a bug that could prevent Arrow Hints on the In-Game map to point to the correct direction when more than one is in the same chapter
- Fixed a bug that displayed secret rooms on the In-game map before the player enter them when the "Reveal Unexplored Rooms" attribute of the In-Game map Controller was set to true
- Fixed a bug that allowed Bombs to be used in liquids
- Fixed a bug that could prevent Heat Controllers with an empty Inactive Flag to work correctly
- Fixed a bug that allowed the player to fall trough jumpthru platforms while using the drone after transitionning to another room than the room the drone was spawned in
- Fixed a bug that caused bombs hold by the player to become invisible after transitioning to another room
- Fixed a bug that could cause slopes hitboxes to be solid when they should not
- Fixed a crash when using the retry option in the pause menu while holding the drone
- Fixed a crash when closing the Binoculars from the Binoculars ability at the same time the player died
- Fixed a crash that could happen by accidentally changing the player.sweatSprite animation when interacting with Slopes and Magnetic Ceilings
- Fixed a crash if the Remote Drone died to two different sources at the same time

Version 1.0.63 :
- Replaced Teleport To Chapter Trigger "To Chapter" attribute with "Destination Chapter". This new attribute accept a chapter map path instead of a chapter index, and can be used to teleport to any chapter, even ouside of the current campaign. Old Teleport To Chapter triggers are unaffected
- Updated Custom Torch, Elevator, Upgrade Collectable and Warp Station loenn plugin to display their sprite at the correct position in the latest Loenn version
- Reduced the number of light occluders used by Slopes in order to allow more Slopes in a room before the game cannot handle them
- Fixed a bug that allowed Magnetic Ceilings to trigger solids as if the player was on top of them when the ceiling was far bellow the solid
- Fixed two bugs that could prevent the player to use the bomb upgrade
- Fixed a crash happening when trying to browse the list of achievements of The Forgotten Abysses section in The Scret of Celeste Mountain

Version 1.0.62 :
- Added "Only Current Chapter" attribute to Warp Stations
- Improved collision of Actors entities with upside down Slopes
- Fixed a bug preventing upgrades to be removed in the B-Side of Secret of Celeste Mountain
- Fixed a crash that could happen when dying while using the drivable car from Pandora Box

Version 1.0.61 :
- Fixed french translations for some settings being too long
- Fixed a bug affecting Bubble Doors depth
- Fixed a bug playing wrong animations when sliding on slopes and grabbing a magnetic ceiling when the player inventory is set to Farewell
- Fixed a crash happening when a Flag Dash Switch with the "Can Swap Flag" attribute set to true was activated while the player was dead
- Fixed a crash happening if the player was grabbing a wall while trying to attach to a Magnetic Ceiling
- Fixed a crash that could happen when dying inside some triggers
- Fixed a crash that could happen when dying on certain maps
- Fixed a crash that would happen when collecting a heart in a B or C side of a campaign using a Merge Chapter Controller. In this case, collecting a heart can no longer end the level (use a Teleport To Other Side instead)

Version 1.0.60 :
- Updated to support Everest core
- Added "Force Inactive Flag" to Bubble Doors, Laser Emitters and Warp Stations
- Added a new setting to show complete hitboxes for Slopes
- Updated Celeste.Freeze hook to allow others mods to hook the orig method
- The Remote Drone can now be destroyed on non-safe platforms
- Slopes and Magnetic Ceilings no longer draw a player sprite on top of the player entity when sliding on a slope or attaching onto a ceiling. Instead, they the animation is now added to the player sprites directly
- Global Flag Triggers now update the flag they control as long as the player is inside the trigger instead of only when the player enter it
- Bombs explosion no longer push the player away
- Fixed a warning displayed on game load about an entity with a non suitable constructor
- Fixed the Upgrade Collectable Loenn plugin, having the wrong name for the Hover Jet upgrade
- Fixed a bug allowing Camera Offset Triggers to apply their offset at the player location when the player destroy the Remote Drone after touching one of those triggers while controling the drone
- SoCM bosses now display a health bar. The player can interact with the Challenge Mote after defeating them to replay the encounter or play the challenge mode version

Version 1.0.59 :
- If the player has not collected the Climbing Kit upgrade, and press the jump button while grabbing a wall, they will now do a wall jump away from the wall instead of doing nothing
- Golden Strawberries now carry from chapter to chapter when using a Merge Chapter Controller
- Updated the journal of campaigns that use a Merge Chapter Controller
- The save file slot now show the campaign name instead of the further area name when using a Merge Chapter Controller
- Adjusted quantity, frequence, rotation and fliping of explosions displayed when a Countdown timer was ticking with it's 'Explosions' attribute set to true
- Slopes with their 'Can Jump Trough" attrubute no longer block light
- Fixed a bug incorrectly hidding the Countdown timer if the 'Hide Flag' attribute was left blank
- Fixed a bug respawning the player in Drone control when exiting a map after using the Drone Teleport ability
- Fixed a softlock if the Remote Drone was thrown on top of a floor-oriented spring
- Fixed a bug preventing Event flags of Start Countdown Triggers to trigger at the correct time if the game was paused while the countdown is active
- Fixed a bug preventing the player to use some upgrades or opening the upgrade screen after interacting with a warp station if the chapter was not using an In-game map

Version 1.0.58 :
- Added "Hide Flag" and "Events Flags" attributes to Start Countdown Trigger
- The Countdown timer now flash red when it reach certain values : Every minute starting at 5 minutes remaining, every 30 seconds starting at 2 minutes remaining and every second starting at 30 seconds remaining
- Switching from achievements categories to the achievements list and vice-versa is now done with MenuLeft and MenuRight instead of the Confirm button
- Timed Dash Switchs in 'Add' mode and Timer Refills now display shortly on screen the number of seconds they add to the current timer when pushed / collected.
- While a timer is ticking, the number of seconds left is now displayed above Madeline head. This can go up to 999 seconds
- Fixed a bug preventing the Strawberry Pie achievements in "The Secret of Celeste Mountain" to count correctly strawberries of the Ancient Ruins area

Version 1.0.57 :
- Fixed a bug counting  B-Sides golden strawberies as nrormal strawberries in various "The Secret of Celeste Mountain" achievements
- The 'Retry' and 'Save and Quit' options from the pause menu can now be used when using the Remote Drone
- Returning to map while using the Remote Drone when using a Merge Chapter Controller with the 'Rooms' mode or using the Save and Quit option now allow the player to restart at the room they were at in Drone form. The location where the player spawned the Remote Drone stay registered and destroying the Remote Drone still send the player back to it
- The Remote Drone can now use Teleport to Chapter triggers. When doing so, it can still be destroyed in the destination chapter, and the player will be send back to the room the drone was spawned in, in the origin chapter

Version 1.0.56 :
- Fixed a bug preventing Refills in "The Secret of Celeste Mountain" to be collected when the player had low stamina
- Fixed a bug preventing the player speed to be reset correctly when exiting a map while on a Slope that has the 'affect Player Speed" attribute set to true

Version 1.0.55 :
- Added Jump Blocks Flip Sound Controller
- Added Stop Entity Respawn Trigger
- Added Flag On Interact Trigger
- Added Unlock Warp Trigger
- Added "Tutorial" attribute to Drone Switches
- Added "Only Need One Flag" attribute to Bubble Doors
- Added "Inverted" attribute to Reset Flags Trigger
- Added "Remove When Outside" attribute to Multi Music Trigger
- Added "Camera Lock" and "Draw Projectiles Outline" attributes to Custom Badeline Boss
- Added "Render Method" attribute to Slopes
- Added "Display" attribute to In Game Map Tiles Controllers
- Added "Respawn" and "Destroy Static Movers" attributes to Break Blocks
- Added "Only Cell Visible" attribute to Cell Locks
- Added "Switch Type", "Improved Tileset" and "Only One Tileset" attributes to Jump Blocks
- Added "No Particles" attribute to Custom Torches
- Removed "Permanent" attributefrom Break Blocks. Existing blocks are still compatible with this change
- Re-ordered attributes of Flag Temple Gates
- Flag Temple Gates now display the mirror sprite in the editor when using a non-vanilla sprite instead of a red rectangle
- Flag Temple Gates and Flag Dash Switches "Sprite Name" attribute now allows a choice of vanilla sprites and can be edited
- Updated InGameMapTilesController with 2 new tiles : "HorizontalAreaConnection" and "VerticalAreaConnection"
- Rooms containing the 2 new tiles are now always drawn first on the map, allowing other rooms to overlap them as they are discovered
- Increased the size of Drone Switches to make it easier to aim at them
- Destroying the drone manually now detach uncollected red strawberries
- Bubble doors no longer close when the player is going away from them with the Remote Drone if Madeline is close enough to the door
- Lowered the Remote Drone beam and other projectiles vertical offset when shooting horizontaly by 1 pixel
- Removed the limit of 10 In-GameMapTilesControllers per room
- The "Show World Map" option no longer appear on the In-game map screen if the campaign only use the In-Game map in a single chapter
- Fixed an issue playing the 'button return' sound effect when a Reset Flags Trigger updated a flag used by a Flag Dash switch in the same room
- Campaigns using a Merge Chapters Controller should no longer crash when entering them if the player saved in a room that no longer exist. Instead, the player will be loaded at the start of the campaign
- Fixed a crash happening when the player throw a Bomb or a Mega Bomb at the same frame it would explode
- Fixed a crash happening when the Remote Drone was destroyed or died inside of a Camera Target Trigger
- Fixed a crash sometimes happening when the player died while screw attacking
- Fixed a bug preventing the Warp Menu to be centered when not using the In-Game map
- Fixed a bug preventing the player to dash if they were grabbing a Magnetic Ceiling that got disabled
- Fixed a bug preventing Break Blocks set to Lightning Dash to break correctly if the player dashed into them from too far
- Fixed a bug sometimes preventing Flag Dash Switches to be in the correct state based on their mode and the state of their flag
- Fixed a bug respawning the player in the wrong room when dying with a golden strawberry in a room containing Flag Dash Switches or Drone Switches
- Fixed a bug respawning the player at the wrong position after spawning the remote drone, entering an other room, dying with it then destroying it and dying in the starting room while playing as Madeline
- Fixed a bug respawning the player in the wrong room while using the remote drone when using the Save and Exit option from the Pause menu after dying in a room that is not the one the drone was spawned initially
- Fixed a bug respawning the player at the wrong position after spawning the remote drone and entering a Change Respawn Trigger
- Fixed a bug preventing Reset Flags Trigger to work when trying to set a flag already set or unsetting a flag already not set
- Fixed a bug hardlocking the game on the Status screen
- Fixed a bug preventing the Heat indicator in heated rooms to be displayed if the player cannot open the In-Game Map

Version 1.0.54 :
- Added "Type" attribute to Drone Switches
- Added a debug command : reset_campaign
- Fixed a bug allowing to interact with warps before they were activated, leading to a crash if a warp could be only activated when a flag was true and that flag was false
- Fixed a bug killing the player instead of the Remote Drone if the drone was squished by solids entities or tiles
- Fixed a render bug for the Remote Drone when holding against a moving solid

Version 1.0.53 :
- Added back the Jump Boost ability, usable by the Remote Drone and allowing it to jump up to 50% higher
- The Hover Boot ability is now only usable by the Remote Drone and has been renamed "Hover Jet"
- Updated icons for the Dash Boots and Hover Jet abilities
- Maps that use an Upgrade Controller but have not set the starting stamina value now use 110 stamina as default
- Added a debug command : reset_collectables_upgrades
- The Pulse Radar ability now display correctly Custom Dash Blocks
- Teleporting to the Remote Drone should not longer spawn another drone immediately if the item button is pressed for too long
- Pressing down when holding a bomb or mega bomb should no longer spawn another bomb or mega bomb if the item button is pressed
- The Remote Drone should now correctly respawn at the correct place after hitting a Change Respawn Trigger or a Custom Checkpoint
- The Remote Drone can no longer die if the Invincible assist variant is active. It can still be destroyed manually
- Fixed a bug preventing the game to redirect a player toward the correct chapter of a camapaign with no interlude using a Merge Chapters Controller when starting the campaign again if the player had saved his progress in chapter 2 or more of that campaign

Version 1.0.52 :
- Fixed a bug soft-locking the game when selecting the 'Stay Here' option on the Warp selection menu when using the In-Game map

Version 1.0.51 :
- Theo Crystals and Seekers can now activate Flag Dash Switches and Timed Dash Switches
- Fixed a crash when trying to switch chapter on the Warp selection menu
- Fixed a bug preventing arrows near the current area name to appear if more than one chapter was avaiable on the Warp selection menu
- Fixed a bug preventing warps to work correctly when not using the In-Game map
- Fixed a bug preventing the warp screen to be closed when pressing ESC or Cancel when not using the In-Game map
- Fixed a bug allowing the player to grab sides of slopes in unintended places

Version 1.0.50 :
- Added "Level Set" attribute to Collectable Doors
- Added "Condition Flags" attribute to Reset Flags Trigger
- Move Blocks now collide correctly with Slopes
- Warps Stations will no longer display a Wipe Screen when the player interact with them if the chapter doses not use the In-Game map
- Custom Collectables will now spawn even if their "Flag" attribute is empty
- Fixed a bug allowing the teleport sequence to be triggered multiple times if the player was selecting a destination from the Warp Station menu multiple times in a row
- Fixed a bug preventing Slopes to be collidable for Actors if not set to be upside down
- Custom Collectables with the "Respawn" and "Register in Save Data" attributes set to true now respawn corectly if their flag is no longer saved in the save data
- The "Keep Cell" attribute of Cell Locks now work corectly
- Made various improvements on how Cell Locks interact with flags
- Bombs and Mega Bombs explosions now trigger touch switches
- Reset Flags Triggers now correctly set flags specified in the "Set False Flags" attribute to false for the current session if the "Register in Save Data" attribute is set to true
- The Cell Lock plugin should now work correctly when the helper is zipped
- Cell Locks should now be aligned correctly in the editor compared to in game
- Fixed a crash happening in campaigns using a Merge Chapter Controller when teleporting the player from one chapter to another if the player had collected no strawberries or never activated entities that should not be reloaded
- Fixed a bug preventing Magnetic Ceilings to be grabbed correctly if the Grab mode was set to Toggle or Invert in the Options menu
- Fixed sounds playing when opening the In-Game map while in a room outside of the initial display of the map, opening the World Map and enabling or disabling hints on the In-Game map
- Fixed a bug sometimes playing Bombs and Mega Bombs explosions sounds multiple times
- Fixed a bug preventing the player to respawn at the correct position when using a Merge Chapter Controller with the "Mode" attribute set to "Warps"

Version 1.0.49 :

- Added Flag Block
- Added Custom Coverup Wall
- Added Custom Dash Block
- Renamed Linked Fake Walls to Custom Fake Walls
- Added "Remove Flags" and "Upside Down" attributes to Liquids
- Added "Mode", "Flag" and "Flag Tiletype" attributes to Custom Exit Blocks
- Added "Group", "Flag" and "Flag Tiletype" attributes to Custom Fake Walls
- Added "Flag", "Flag Custom Directory", "Flag texture' and "Affect Player Speed" attributes to Slopes
- Added "Can Respawn" attribute to Custom Collectables
- Added "Register In Save Data", "Save Data Only After Checkpoint" and "Persistent" attributes to Drone Switches
- Improved performances of Slopes
- Reduced fire rate of the Remote Drone
- Multiple Lasers Detectors in the same room affecting the same flag will now set the flag to true if at least one of them detect a laser
- Slightly increased Bombs explosion radius
- Decreased Mega Bombs explosion radius
- Increased Drone Switches hitbox
- Decreased Remote Drone hitbox height
- Bombs, Mega Bombs and Remote Drone abilities will now be used when the player land on the ground if the "Use Bag Item Slot" button is hold while the player is not on the ground yet
- Warps registered in the player Save data that no longer exist are now automatically removed from the player Save data
- Bombs and Mega Bombs are now correctly affected by the momentum of moving solids entities
- The player can no longer grab a Magnetic Ceiling while they are dashing
- Countdown Displays timer will now pause if the player die, until it fully respawned and during screen transitions
- Countdown Display timer is now draw closer to the top of the screen
- Updated sprites for Countdown Displays timers explosions
- Updated sprites of Drone Switches
- Dying whith the Remote Drone ability now send the drone back to the last checkpoint instead of giving back the control to Madeline
- Drone Switches now reset their flag when the drone respawn if they are not set to be permanent, unless the drone is destroyed on purpose
- Drone Switches now register the current state of their flag when the drone activate a Custom Checkpoint or a Change Respawn Trigger and will use this updated state when the drone respawn
- Reduced the time the Grab button must be hold to destroy the Remote Drone from 1.5 seconds to 0.5 seconds. This can now only be done if the Remote Drone is on safe ground and is not moving.
- Fixed Loenn plugin for Drone Switchs side attribute having a "Bottom" option instead of "Down", preventing placing switches on the ceiling
- Liquids will no longer remove themselves if their surface is starting from bellow the room while being set to rise. Draining liquids will still remove themsleves
- Slopes should no longer prevent the player from falling after throwing the Remote Drone
- Slopes should no longer create collisions issues with nearby solids entities
- Slopes will now try to move the player out of them if the player manage to get stuck into them
- Throwables should no longer get stuck when the player throw them toward an upside down Slope
- Fixed a bug that respawned the player in the wrong room if they entered an other room and exited the map after triggering a Countdown, but before the timer appear on screen

Version 1.0.48 :

- Added Glow effect
- Added the Loenn plugin for the Heat Particles effect
- Re added the missing Ahorn and Loenn plugins for Custom End Screen Controllers
- Laser Detectors no longer unset their flag when a laser beam is not colliding them if the flag they should set is saved in the player save file
- Slopes now render correctly the sloped tiles when automaticaly rendered from a vanilla or custom tileset
- Slopes no longer randomly regenerate their tiles when the player die or re-enter the room
- Fixed a bug preventing Jump Blocks to use custom textures
- Fixed a crash happening when the player died at the same time they dash should have been refilled

Version 1.0.47 :

- Added "Inverted", "Base" and "No Beam" attributes to Laser Emitters
- Added "Flag" and "In Wall" attributes to Timed Dash Switches
- Added "Save Data Only After Checkpoint" and "In Wall" attributes to Flag Dash Switches
- Added "Worldmap Offset X" and "Worldmap Offset Y" attributes to In-Game Map Controllers
- Added "Sprite Name" attribute to Custom Badeline Boss
- Added a new ability : Binoculars, allowing the player to preview the room they are currently in
- Added a new ability : Ethereal Dash, allowing the player to dash through thin walls (Ethereal Blocks)
- Added a new ability : Mega Bombs, allowing the player to set bombs that can destroy some walls and push some blocks
- Added a new ability : Long Beam, allowing the drone beam to reach distant targets
- Added a new ability : Ice Beam, allowing the drone beam to freeze some entities
- Added a new ability : Wave Beam, allowing the drone beam to go through solid objects
- Added Ethereal Block
- Added Laser Detectors
- Added Reset Flags Trigger
- Removed Break Block Indicators. The Break Blocks now have all attributes from Break Blocks Indicators and will automatically add the indicators in game. Old indicators and blocks still work.
- Removed the Jump Boost ability
- The Golden feather ability no longer need to be selected on the bag UI to be used
- The Golden feather is now used by holding the grab button while the player is falling
- The Golden Feather ability will no longer be used if the player is too close to a wall when pressing the grab button
- The Hover Boots ability is now used by holding the up button while the player is falling
- Improved the death animation and sounds of the Remote Drone
- Improved navigation of the Status Screen
- Improved the Bag UI to be able to have two abilities selected at the same time and display the button to use each of the abilities
- Improved performances of Liquids with the "Can Swim" attribute set to true
- Improved Slopes automatic rendering when they are only 1 tile height to allow more usages
- The player can no longer jump on the surface of Liquids with the attribute "Can Swim" set to true
- Lasers Emitters lasers now appear during room transitions
- Lasers Emitters lasers now collide correctly with Slopes
- Removed particles when Laser Emitters lasers were colliding with a solid entity
- The In-Game map will now make sure the player current location is visible when it is opened
- Added a World Map mode to the In-Game map. This display the map of every chapters of the campaign on the same map
- Added customisable bindings to control the Bag UI and use the selected abilities
- Added customisable bindings to change the In-Game map progress display, switch between normal and world map modes, and display or hide hints
- Updated default bindings to open the In-Game map on controller to the Back button, and to select the equiped abilities to the Y button
- Pressing the Menu Cancel button now close the Warp screen
- Bombs and Remote Drone abilities can now be used while on unsafe ground
- Custom torches no longer play their lit sprite and particles when entering a room if their corresponding flag was set, then unset before the player leave the room or die
- Flag Dash Switches now reset their flag when the player respawn instead of when they die if they are not set to be permanent
- Flag Dash Switches now register the current state of their flag when the player activate a Custom Checkpoint or a Change Respawn Trigger and will use this updated state when the player respawn
- Flag Dash Switches can now be dashed into again if the flag they check is in the opposite state of what the switch set the flag state to
- If the player dash into a Flag Dash Switch and then Save and Quit before hitting a checkpoint in the room or leaving the room, the flag will now correctly be reverted when they enter the map again
- The player can no longer be stuck in Slopes when using the Hover Boots ability
- Fixed a bug displaying the player edge animation when it was standing on a specific pixel on top of a Slope
- Fixed a bug preventing Laser Emitters to behave correctly when the entity they were attached onto was destroyed
- Fixed a bug preventing the Strawberry tracker to be displayed when the game is paused in chapters that use the In-Game map even if its progress display was disabled
- Fixed a bug preventing the Bag UI to correctly be set on the Drone ability when destroying or teleporting to the drone and being killed while controling the drone
- Fixed a bug preventing Flag Dash Switches with the attribute "Can Swap Flag" set to true and the attribute "Side" set to "Down" to correctly move back in position after being dashed into
- Fixed a bug preventing the Set Stats Flags controller to work correctly
- Fixed a bug that killed the player if they were spawning in direct line of a Laser Emitter even if a solid entity or tile should have prevented it
- Fixed a bug preventing Elevators leading to another room of the same chapter to be used if the player has grabbed a Golden Strawberry
- Fixed a crash happening when throwing the Remote Drone outside of the current room if it died before hitting the ground

Version 1.0.46 :

- Added Flag Strawberry
- Added Teleport Strawberry
- Custom End Screens now also works in interludes
- Collectable Doors now show the amount required to open them on the In-Game map
- Flag Dash Switches and Timed Dash Switches can now be activated by jellyfishes
- Fixed an incorrect hitbox for Flag Dash Switches under specifics circonstances
- Flag Dash Switches no longer play their push animation and particles if the flag they are supposed to set is already set when entering a room.
- The Strawbevrry tracker will not be displayed when the game is paused in chapters that use the In-Game map if its progress display is enabled
- The "reveal_ingamemap" debug command now immmediately update the In-Game map if used when the In-Game map is opened
- Fixed a bug preventing the "give_upgrade" and "remove_upgrade" debug commands to respectively give and remove the Pulse Radar ability when used without specifying any ability
- Fixed a crash happening when a Custom Collectable Door was opening during a cutscene

Version 1.0.45 :

- Added "LevelSet" Attribute to Global Flag Trigger
- Added Custom End Screen Controller
- Added a Restart Campaign option in the pause menu for campaign using a Merge Chapter Controller
- When transitioning between chapters that are merged by a Merge Chapter Controller, strawberries, hearts and cassettes no longer reapear
- When transitioning between chapters that are merged by a Merge Chapter Controller, the total amount of strawberries collected is now correctly updated
- Collecting a Golden Strawberry no longer count toward the total strawberries collected for the Stat Flags Controller
- The Set Stat Flags Controller will now set a flag each time the player enter a sub-area, completely explore a sub-area and get all strawberries in one sub-area
- The Set Stat Flags Controller now set the correct flags for campaign that do not have an interlude
- Improved performances of Elevators
- Fixed a bug that could prevent the Set Stat Flags Controller to count correctly the map tiles explored
- Fixed a bug displaying the buttons UI for the player progress on the In-Game map on a wrong position for chapters not using abilities
- Fixed a bug preventing Liquids with the "Can Swim" attribute set to true to update correctly when waving or rising/draining
- Fixed a bug preventing the displacement effect on Liquids to work correctly when the liquid had its "Foreground" attribute set to true
- Fixed a bug preventing the player sprite to be visible when the player died while attached to a Magnetic Ceiling
- Fixed a crash when the player die at the same time as activating a Custom Checkpoint

Version 1.0.44 :

- Added "Collect Golden Strawberry" attribute to Custom Collectable
- Added Set Stat Flags Controller
- Renamed the "Complete Area" atribute of Custom Collectables to "End Chapter". Previous version of this entity with the old name still works
- Fixed the Ahorn plugin for In Game Map Room Controllers to include the Sub Area Index attribute
- Fixed plugins for the Collectable Door not rendering the icons inside the Door accurately
- Improved performances of Warp Stations
- Improved description of some of the Global Flag Trigger attributes
- Improved Slopes rendering in Lönn (by JaThePlayer)
- The In-Game map will now display Max Helping Hand Reskinnable Crystal Hearts
- Fixed a crash happening if trying to open the In-Game Map with map progress not disabled in a chapter with no InGameMapTilesController. The map progress is now automatically disabled in that case
- Fixed a crash happening when a Custom Collectable Door was opening while the In-Game map was open
- Fixed a crash related to slopes
- Fixed a bug wilth Slopes collisions when some actor entities were in the same room as the slopes
- Fixed a bug preventing Map Shards with different indexes to appear in the same session after one is collected
- Fixed a bug preventing Warp Stations to work correctly if the player had collected a Golden Strawberry in the current session
- Fixed a bug preventing disabled abilities to be immediately restaured when the player collect a Golden Strawberry
- Fixed a bug allowing the player to dash while attached to a Magnetic Ceiling when more than one Magnetic Ceiling was present in the same room
- Fixed a bug preventing the player to sometimes grab a Magnetic Ceiling after jumping while attached to it
- Fixed a bug preventing the player to lose stamina while jumping quickly multiple times during the jump grace period of Magnetic Ceilings

Version 1.0.43 :

- Pressing the button to switch bag abilities will no longer prevent the player to grab walls
- Grabbing being disabled when trying to open the In-Game Map or use bag abilities now only happen respectively on maps that use the In-Game map or abilities

Version 1.0.42 :

- Added "Can Jump Through" attribue to Slopes
- Added "Visual Only" and "Can Swim" attributes to Liquids
- Added a new ability : Portable Station, allowing the player to teleport to any unlocked Warp Station from anywhere
- Added a new ability : Pulse radar, allowing the player to reveal secrets near their current position
- Removed the Evasion ability. This ability effects have been merged with the Screw Attack ability.
- Removed the Blazing Charm ability. This ability effects have been merged with the Varia Jacket ability.
- Reduced the horizontal velocity granted by the Screw Attack ability to 33% instead of 50%
- Trying to open the In-Game Map, use bag abilities or switching bag abilities near a wall will no longer make the player climb the wall instead
- Fixed a crash that happened while trying to use a Warp Station in a room containing a Room Adjust Controller
- Fixed a bug preventing talker components to be enabled again when destroying the Remote Drone
- Fixed a bug allowing the player to activate a talker while trying to use a bag ability, causing unexpected behavior
- Fixed a bug preventing the player sprite to be set to invisible by various entities when the Screw Attack ability was enabled and the player was on ground
- Fixed a bug that allowed the player to jump indefinitely if jumping at the same time a Magnetic Ceiling that was destroyed
- Fixed a bug preventing the player state to be correctly reverted to normal when the player was attached to a Magnetic Ceiling at high horizontal speed

Version 1.0.41 :

- Added "Keep Prologue Separated" attribute to Merge Chapters Controller
- Added "Mode" attribute to Flag Dash Switches
- Added "Start Open", "Horizontal" and "Attach Right" attributes to Flag Temple Gates
- Added "One Use" and "Flag" attributes to Elevators
- Added "Disable StatusScreen" attribute to Upgrade Controller
- Added Upgrade Trigger
- Added a "Classic" mode for Merge Chapters Controllers, allowing the player to start from unlocked checkpoints just like vanilla. The starting room of every chapters of the campaign but the first one now also automatically count as a checkpoint in this mode
- Lasers emiteds by Laser Emitters now produce particles when they hit a solid wall or entity
- When a Magnetic Ceiling is attached to a Move Block, the player can now control the Move block while grabbing the Magnetic Ceiling if the Move Block 'Can Steer' attribute is set to true (Horizontal Move Blocks only)
- When two Magnetic Ceilings are adjacent, the player can now move from one to the other while grabbing them
- Flag Dash Switches and Timed Dash Switches now attach to solid entities
- If more than one Flag Dash Switch is present in a room, and they affect the same flag, dashing into one switch will also activate all others unless their "Can Swap Flag" attribute is true
- The Chapter Select screen is no longer hidden when using a Merge Chapter Controller
- When returning to map from a campaign using a Merge Chapters Controller, the stats panel is now shown instead of imediately closing itself
- Deaths icons on the stat panel when using a Merge Chapters Controller now have the same size as vanilla chapters panels deaths icons
- Enabling an upgrade with the debug commands now also activate it if it was deactivated
- Debug commands can now enable or disable multiple upgrades at the same time
- Colorgrades should now work correctly with the Heat Particle Effect
- Fixed a crash that happened when exiting the PICO-8
- Fixed a bug preventing the Heat Particle effect to listen correctly to flags
- Fixed a bug preventing Cells to slot correctly in Cell Lock Statues in some situations
- Fixed a bug preventing the hitbox of Flag Dash Swicthes to reset correctly in some situations
- Fixed a bug preventing the player state to be correctly reverted to normal when the player was attached to a Magnetic Ceiling being disabled
- Fixed a bug preventing the player state to be correctly reverted to normal when the player was attached to a Magnetic Ceiling while transitioning into an other room

Version 1.0.40 :

- Fixed a bug preventing the Chapter Select screen to be hidden correctly when exiting a campaign using a Merge Chapters Controller

Version 1.0.39 :

- Fixed a bug preventing the quick restart keybind to work in campaigns not using a Merge Chapters Controller
- Fixed a bug that softlocked the game while being in the "uncategorized" section of the chapter select screen

Version 1.0.38 :

- Added "Open On Heart Collection" attribute to Flag Temple Gates
- Added Teleport To Other Side Portal
- Added Merge Chapters Controller
- Added a new ability : Jump Boost, allowing the player to jump up to twice as high
- Entities attached to Jump Blocks now use a lighter color when the Jump Block is not collidable
- Fixed a bug that could prevent Jump Blocks to work correctly when the player transitioned from a room that contains Jump Blocks to an other room that also contains Jump Blocks
- Fixed a bug that allowed the grace period of Magnetic Ceilings to work only for the first Ceiling loaded in a room
- Fixed a bug that temporarily removed Abilities and Saved Flags when the player collided with a non-golden Strawberry. This now properly only happen when the player collide with a Golden Strawberry
- Fixed a bug that prevented the In-Game Map to display visited rooms correctly when more than one campaign using the In-Game Map was played on the same save file
- Fixed a bug causing TAS desyncs
- Fixed a bug preventing the Hower Boots ability to stop correctly if the player grabbed a Golden Strawberry in a map that do not allow the Hover Boots ability to be active while carrying a Golden Strawberry
- Fixed a bug preventing the player sprite to be visible if the player was using the Screw Attack ability while grabbing a Golden Strawberry in a map that do not allow the Screw Attack ability to be active while carrying a Golden Strawberry

Version 1.0.37 :

- The Cell sprites now display correctly when slotted in a Cell Lock Statue with the "Instant" attribute set to true
- Removed the 0.1 seconds delay during which it was not possible to dash after releasing the Grab button when the player was attached on a Magnetic Ceiling
- Fixed a bug that could prevent Cells to be slotted correctly in Cell Lock Statues
- Fixed a bug preventing the grace period of Magnetic Ceilings to work when two or more Magnetic Ceilings were close to each other
- Fixed a bug giving back all unlocked abilities in a campaign when the player die or enter a room in a chapter using an Upgrade Controller with it's "Only Allow Starting Upgrades" attribute set to true
- Fixed a bug that prevented the Bag UI position to update correctly when the minimap was activated in Mod Options, but not yet unlocked in the current campaign
- Fixed a bug that displayed the wrong wipe when the player respawned after dying while carrying a golden strawberry
- Fixed a bug with Upgrade controllers giving the Power Grip ability instead of the Climbing Kit ability when their "Golden Start With Climbing Kit" attribute was set to true

Version 1.0.36 :

- Fixed a performance issue with liquids

Version 1.0.35 :

- Added "Directory" and "Surface Height" attributes to Liquids
- Added "Can Interact" attribute to Teleport To Chapter Trigger
- Increased the height the player can jump while in the quicksand Liquid to make it easier to get out
- The quicksand liquid will now kill the player if they are completely submerged by it
- Improved the quicksand liquid to be compatible with waving and rising attributes
- Fixed a typo in the Slope plugins preventing the CliffsideAlt texture to work
- The Screw Attack ability will now automatically stop when the player collide with a wall
- Added a 0.1 seconds grace period during which it is still possible to jump after releasing the Grab button when the player was attached on a Magnetic Ceiling with the "Can Jump" attribute set to true
- The Status Screen now display a short description of the selected ability and the controls to use it
- Fixed a bug that moved the player sprite when pressing Left or Right while the game was paused and the player was attached on a Magnetic Ceiling
- Fixed a bug that could drain all player stamina while holding the Jump button, but not the Grab button on top of a Magnetic Ceiling with the "Can Jump" attribute set to true
- Fixed a bug that keept the Screw Attack horizontal velocity increase active all the time if the player returned to the level select screen while in the middle of a Screw Attack jump
- Fixed a bug that prevented some checks to work correctly while entering a map by teleporting to it using the debug console
- Fixed a bug that reseted liquids position after rising if they began waving before starting to rise
- Fixed a bug that played the death effect and sound multiple time when the player died while controlling the Remote Drone under some conditions
- Fixed a crash that could happen when the player entered Water while holding the Remote Drone
- Fixed a bug that prevented the talk components to be active again in the current room when the player died while controlling the Remote Drone

Version 1.0.34 :

- Added "Drop When Dream Dash", "Throw Force Multiplier", "Throw Up Force Multiplier", "Post Throw No Gravity Timer", "Gravity Multiplier", "Friction Multiplier", "Bounce Multiplier", "Kill Player On Death", "Death Color", "Emit Light", "Light Color", "Hit Sides Sound", "Hit Ground Sound" and "Death Sound" attributes to Cells
- Added "Hide Icons In Unexplored Rooms", "Show Progress", "Hide Map Progress", "Hide Strawberry Progress", "Hide Moonberry Progress", "Hide Upgrade Progress", "Hide Heart Progress", "Hide Cassette Progress", "Custom Collectables Progress", "Secrets Custom Collectables Progress", "Progress Color" and "Progress Complete Color" attributes to In-Game Map Controller
- Added "Upgrades Are Temporary" and "Only Allow Starting Upgrades" attributes to Upgrade Controller
- Upgrade Controller: All "Only Allow [Ability]" attributes have been removed and replaced by "Start With [Ability]" attributes. Old attributes are still checked in the code to not break maps that use them
- Cells can now Activate Flag Dash Switches and Timed Dash Switches
- The player will now get back all abilities they collected when entering a chapter configured to start with specific abilities in its Upgrade Controller unless the new "Only Allow Starting Upgrades" attribute is set
- The In-Game map now show a different icon for moonberries
- The In-Game map can now display player progress in the current area or sub-area on the map screen and warp screen
- Up and Down Spikes will now correctly kill the player when grabing a Magnetic Ceiling
- The Screw Attack ability now automatically activate when the player jump while holding left or right.
- Reduced the horizontal velocity granted by the Screw Attack ability to 50% instead of 75% to make it easier to control
- The Hover Boot ability is now activated by holding the Jump button instead of the Grab button
- Fixed a bug preventing icons on the minimap to use the correct opacity
- Fixed a bug preventing icons on the In-Game map to appear if the player visited a room, but had not visited the tile of this room were the icon is displayed
- Fixed a bug that could set the player vertical position to a sub-pixel value after using the Hover Boots ability
- Fixed a bug allowing the player to float indefinitely after dying while using the Hover Boots ability
- Fixed a bug using the wrong player animation when using the Hover Boots ability while carrying an object
- Fixed a bug preventing the player sprite to animate correctly when opening the Map and Ability screens

Version 1.0.33 :

- Added Collectable Door
- Modded strawberries entities should now display on the In-Game map
- Added 5 debug commands : clear_ingamemap, reveal_ingamemap, clear_warps, remove_upgrade and give_upgrade
- Fixed a crash that happened if the player died inside of a Stop Adjust In-Game Map trigger
- Fixed a bug preventing the Bag UI to be hidden while using a watchtower under certain conditions
- Fixed a bug that could prevent the menu from Warp Stations to disapear correctly if the player selected a destination too quickly
- Fixed a bug that applied water physics to the player when they were dashing close to the surface of acid and lava liquids

Version 1.0.32 :

- Added 'Map Shard Index' and 'Sub Area Index' attributes to In-Game Map Room Controllers
- Added 'Map Shard Index' attribute to Upgrade Collectables
- Added 'In-Game Map Sub Area Controller'
- Added Custom Badeline Boss
- The Hide Minimap Trigger now also hide the Bag UI
- Improved minimap performances
- Added the missing 'None' option for the 'EntranceXPosition' fields of the In-Game Map Room Controller in Lönn
- Re-ordered fields for the In-Game Map Room Controller and the In-Game Map Tiles Controller plugins in Ahorn
- Jump Blocks with different indexes will not connect together in Lönn anymore
- Fixed a bug preventing the minimap to be hidden while using a watchtower under certain conditions
- Fixed a crash that happened when activating a Custom Checkpoint if there was at least one other Custom Checkpoint in the room that had the 'Emit Light' attribute set to false

Version 1.0.31 :

- Increased performances again
- Fixed a bug preventing saved flags to be set correctly when starting a chapter

Version 1.0.30 :

- Added "Switch Flag" attribute to Global Flag Trigger
- Added a new ability : Hover Boots, allowing the player to stop their fall speed for a short time and to move left or right while doing so
- Moved the Lightning Dash ability from the Misc category to the Boots category
- Added a distortion effect on the player current position when teleporting to the Remote Drone
- Added some checks in the code to increase overall performances
- The minimap will no longer be displayed if there is not at least one In-Game Map Tiles Controller in each room that has a player spawn
- Custom Torches now correctly turn off if the flag they listen to is no longer true
- Flag Temple Gates now close if the flag they listen to is no longer true
- Fixed a typo in the plugins for the Upgrade Collectable that prevented the Golden Feather ability to work correctly
- Fixed a crash that happened when the player should have died by falling out of the screen while holding the Remote Drone
- Fixed a bug that sometimes incorectly set the player vertical position to a sub-pixel value while throwing the Remote Drone
- Fixed a bug that allowed the player to slide on slopes while the In-Game map or the Status Screen were opened
- Fixed a bug preventing Global Flag Triggers to take effect immediately in the chapter they are
- Fixed a bug preventing Liquids to start rising if their "Rise End Flag" attribute was empty
- Fixed a bug that incorectly increased the height of Liquids while they were not rising

Version 1.0.29 :

- Fixed a bug that could prevent Max Helping Hand Camera Catchup Speed Triggers to work
- Fixed the Ahorn plugin for the InGameMapHintController

Version 1.0.28 :

- Added InGameMapHintController
- Added Global Flag Trigger
- Bubble Doors are now visible on the In-Game Map
- Updated Lönn plugins with dropdowns and depths
- Fixed missing textures for Break Blocks Indicators
- Fixed a bug that could prevent the player to use the 'Retry' and 'Save and Quit' options in the pause menu after destroying or teleporting to the remote drone
- Fixed a bug that moved the player sprite when pressing Up or Down while the game was paused and the player was sliding on a slope

Version 1.0.27 :

- Fixed an invalid hook decreasing the gravity by 1 for all maps, causing TAS desyncs
- Fixed a crash while closing the screen telling the player that they need to unlock more than one warp station to use them

Version 1.0.26 :

- Added "Rainbow" attribute to Slopes
- Added "No Beam" attribute to Warp Stations
- Greatly improved Slopes collision detection
- Added a new animation for the player while sliding on Slopes
- Improved collision detection for the Remote Drone beam particles
- The Screw Attack sprites will no longer play for a single frame if the player is grabing a wall, release it, then immediately press again the Grab button
- The player icon on the In-Game map now use the same hair color as the current hair color the player has when opening the map
- If your map use abilities, the player icon on the In-Game map now update its jacket color based on your current equipped jackets
- Custom Checkpoints now deactivate others Custom Checkpoints in the same room when they are activated, so that only the current checkpoint remain activated
- Fixed the selection area for WarpStations in Ahorn
- Fixed a crash that could happen if the player used the save and quit option while playing a map, and then deleted or blacklisted that map and tried to resume playing the save file that map was played on
- Fixed a bug allowing the player to move immediately after opening the In-Game map or the Status screen, resulting in the player sprite updating incorrectly
- Fixed a bug preventing Custom Collectables to reappear if the player collected them but hit the 'Retry' option from the pause menu while the collect animation is not finished

Version 1.0.25 :

- Player sprites for the Screw Attack are now distinct between the backpack and no backpack versions
- Fixed a bug preventing the bag UI to display a custom ability icon for the Golden Feather ability

Version 1.0.24 :

- Added Laser Emitter
- Added 4 decals that can be used to improve the apparence of Laser Emitters
- Added a new type of Break Blocks Indicator : Screw Attack
- Added a new ability : Evasion, allowing the player to dash trough some obstacles (currently, lasers from Laser Emitters)
- Added a new Ability : Blazing Charm, allowing the player to survive in lava
- Added a new Ability : Golden Feather, allowing the player to summon a feather to glide and ride wind currents
- Added a new Ability : Screw Attack, allowing the player to destroy Screw Attack blocks and increase it's horizontal speed while jumping
- Liquids placed in Ahorn with no color set should now render properly in Lönn
- Improved the way Liquids detect the player and applies intended effects
- Updated Lönn plugins to restrict values to be integers for fields that are intended to be integers
- The Lightning Dash ability can now be used in water or lava only if the player also have the Gravity Jacket upgrade
- Bombs, Remote Drone and Golden Feather Upgrades are now activated by holding up then pressing grab, instead of checking if both keys are pressed at the same time
- Added Korean translation by Prime
- Fixed a bug preventing some sprites to fade correctly when collecting a bag ability
- Fixed a bug preventing the player sprite to disapear during the death animation if the player hit retry from the pause menu while attached to a Magnetic Ceiling

Version 1.0.23 :

- Fixed a bug preventing Bubble Doors with no flags to be active

Version 1.0.22 :

- Added Lönn plugins for every entities and triggers
- Removed "Flag" attribute from Bubble Doors. Added "Flags" attribute instead. Bubble Doors can now check for multiple flags before being active.
- Fixed a bug that prevented the Remote Drone upgrade to be correctly disabled on maps that do not use abilities

Version 1.0.21 :

- Added 'Rise Delay', 'Rise Distance', 'Rise Speed', 'Rise Shake', 'Rise Flag', 'Rise End Flag', and 'Rise Sound' attributes to Liquids
- Added 'No Stamina Drain' attribute to Magnetic Ceiling
- Added Drone Switch
- Added Drone Gate
- Added a new type of Break Blocks Indicator : Drone
- Added a new ability : Remote Drone, allowing the player to summon a drone that can fit into small gaps (1 tile height), destroy certains blocks, activate Drone Switches and Drone Gates, and is immune to lava
- Added a new ability : Drone Teleport, allowing the player to instantly teleport to the location of the Remote Drone
- Added a new UI displaying the current bag ability equiped. Bag ability currently include the Bombs and the Remote Drone. Press V or Right Trigger to swicth between unlocked bag abilities. You can rebind this key in Mod Options
- Updated Upgrade Collectable and Upgrade Controller with the new Remote Drone and Drone Teleport abilities
- Updated the texture of Break Blocks Indicators indicating blocks that can be destroyed with the Lightning Dash ability
- Updated InGameMapTilesController with 4 new tiles : "ElevatorUpSingleHorizontalLeftEdge", "ElevatorUpSingleHorizontalRightEdge", "ElevatorDownSingleHorizontalLeftEdge" and "ElevatorDownSingleHorizontalRightEdge"
- Magnetic Ceilings will now also display their custom sprite in Ahorn
- Added a grab sound when the player grab a Magnetic Ceiling
- Improved Slopes collision detection
- Fixed a bug preventing the Spider Magnet ability to be removed correctly when the player grab a golden berry
- Fixed a bug preventing to open the In Game Map after interacting with a Warp Station when only one Warp Station has been unlocked

Version 1.0.20 :

- Added "Can Jump" attribute to Magnetic Ceiling
- Magnetic Ceilings now attach to solids entities above them
- Grabbing a Magnetic Ceiling will now trigger falling blocks they are attached onto
- Solids entities attached to a Magnetic Ceiling will now consider the player ridding them when the player grab the Ceiling
- Tweaked the description of the Spider Magnet upgrade for better wording

Version 1.0.19 :

- Added Magnetic Ceiling
- Added a new ability : Spider Magnet, allowing the player to grab Magnetic Ceilings
- Updated Upgrade Collectable and Upgrade Controller with the new Spider Magnet
- Fixed a bug playing the wrong sound when closing the message displayed by Warp Stations when only one warp station is unlocked
- Fixed a bug that reseted the flag state of Flag Dash Switch with the Can Swap Flag attribute set to true when entering a room with one or more Flag Dash Switch

Version 1.0.18 :

- Added 'Sticky Dash' attribute to Slopes
- Warp Stations will now display a message indicating that the player must unlock at least a second one when interacting with it and only one Warp Station has been unlocked
- Fixed a bug crashing the game if the player die in a room with a slope

Version 1.0.17 :

- Added 'Particle Color 1', 'Particle Color 2' and 'Can Swap Flag' attributes to Flag Dash Switch
- Added 'Particle Color 1' and 'Particle Color 2' attributes to Timed Dash Switch
- Added 'Force Locked Flag' attribute to Bubble Door
- Added 'No Render' attribute to Slopes
- While on top of a Slope, the player will no longer be stuck to it while dashing away from it
- Fixed a bug affecting the player movement when upside down slopes where in the same room as any Actor entities

Version 1.0.16 :

- Fixed a bug preventing the player to do neutral jumps

Version 1.0.15 :

- Added 'Foreground' attribute to Liquids
- Added 'Heat Effect' and 'Inactive Flag' attributes to the Heat Controller
- Added Start Countdown Trigger
- Added Stop Countdown Trigger
- Added Multi Music Trigger
- Added a new liquid type to Liquids : Quicksand
- Bombs and Cells now collide correctly with Slopes
- Fixed a bug preventing some In Game Map tiles to be drawn correctly
- Fixed a bug sometimes preventing the minimap to be correctly centred when the player is a room with a negative X coordinate

Version 1.0.14 :

- Added 'Instant' and 'Type' attributes to Cell Lock Statue
- The player can now carry and throw bombs from the Bomb upgrade
- Bombs explosion timer now start when the player throw or release a bomb instead of imediately
- Bombs are now used by holding Grab + Up instead of Grab + Down

Version 1.0.13 :

- Added HeatParticles effect
- Added Timed Dash Switch
- Added Timed Blocks
- Added Timed Strawberry
- Added Timed Temple Gate
- Added Timer Refill
- Added 'Color', 'Frame Delay' and 'Transparency' attributes to Liquids
- Added 'Alpha', 'StartFade', 'EndFade' and 'Sound' attributes to Custom Torches
- Added 'Sound Index' attribute to Jump Blocks
- Updated the visual and default color of the acid liquid
- Updated default sprites of Jump Blocks
- Added an alternate visual for the acid liquid
- Fixed the light of Custom Torches not being centered properly

Version 1.0.12 :

- SoCM credits can now be skipped after beeing seen at least once

Version 1.0.11 :

- Added Jump Block
- Fixed a bug that granted back all abilities after using a warp station with a golden berry

Version 1.0.10 :

- Added Break Block
- Added Break Block Indicator
- Added Bubble Door
- Added Cell
- Added Cell Lock Statue
- Added Custom Checkpoint 
- Added Custom Collectable
- Added Custom Exit Block
- Added Custom Torch
- Added Flag Dash Switch
- Added Flag Swap Block
- Added Flag Temple Gate
- Added Heat Controller
- Added Hide Mini Map Trigger
- Added Linked Fake Wall
- Added Liquid
- Added Upgrade Collectable
- Added Upgrade Controller
- Added Teleport to chapter Trigger
- Added 'RequireMapUpgradeToOpen' and 'HeatedRoomColor' attributes to the InGameMapController
- Added 'Index', 'confirm Sfx', 'Wipe Type' and 'Wipe Duration' attributes to Warp Stations
- Added 'Upside down' attribute to Slopes
- Fixed a bug allowing the minimap to be displayed despite some conditions not beeing meet
- Fixed an issue showing the wrong location on the In-Game Map while using a Warp Station under certain circumstances
- Greatly improved the In-Game Map and minimap performances
- Fixed a performance issue during screen transitions

Version 1.0.9 :
- Slopes now use the same tilesheet as tilesets do (vanilla template) to make customs tilesets easy to use
- Fixed a typo in the Ahorn plugin of slopes (girder and deadgrass textures were misstyped)

Version 1.0.8 :
- Added Slopes
- Chapters that use the In-Game Map now automatically get an mini-map if all rooms that should show on the map contains an InGameMapTilesController
- Added options to change the opacity of the mini-map, or turning it off in Mods Options

Version 1.0.7 :
- Fixed a bug preventing the button UI to display correctly on the In-Game Map and Ability screens when using a controller
- Added a small delay when switching from the In-Game Map to the Ability screens and the other way around to prevent accidental switches
- Performance optimizations for the In-Game Map

Version 1.0.6 :
- Added Elevator
- Added Elevator Barrier
- Added InGameMapTilesController
- Added 'Hidden Tiles' attribute to the InGameMapRoomAdjustController
- Reworked how entrances positions work in the InGameMapRoomController

Version 1.0.5 :
- Fixed a crash with warp stations when used in differnts maps on the same save file

Version 1.0.4 :
- Added Warp Station
- Added Sub Area Name trigger
- Fixed a crash happening when the player die with a golden strawberry in maps that use the ability system

Version 1.0.3 :
- Added InGameMapController
- Added InGameMapRoomController
- Added InGameMapRoomAdjustController
- Made some preparation for two new abilities

Version 1.0.2 :
- Fixed a bug preventing custom refills from other mods to work properly
- Fixed a bug that could cause a TAS desync for maps that do not use the ability system
- Custom Water now also increase stamina costs while grabing or climbing a wall

Version 1.0.1 :
- Added an indicator for the Space Jump upgrade
- Fixed a crash randomly happening when reloading a map with F5 or saving in Ahorn
- Fixed a bug with water physics when using a warp station
- Fixed a bug preventing the correct player sprite to be used in maps not using the ability system after dying or after a room transition
- Starting SoCM Prologue from the chapter select screen should now play the correct music during the intro
- Made some preparation for a new ability

Version 1.0.0 :

Initial release